Get one webhook
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"webhook": {
"id": "<string>",
"base_slug": "orders",
"version": "<string>",
"name": "<string>",
"enabled": 0,
"criteria": "<string>",
"dataset": "<string>",
"mappings": "<string>",
"slug": "aBcXyz0123456789abcdefgh",
"require_signature": 0,
"ip_allowlist": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"webhook_slug": "aBcXyz0123456789abcdefgh",
"public_path": "acme-3f9a/orders/aBcXyz0123456789abcdefgh",
"public_url": "https://app.hookie.ai/acme-3f9a/orders/aBcXyz0123456789abcdefgh",
"previous_public_url": "<string>",
"previous_url_expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}Webhooks
Get one webhook
The object, as one row of the list returns it, or 404. This used to answer 200 with the whole list for any id (DX-6, #201). Readable by any role.
GET
/
admin
/
api
/
projects
/
{pid}
/
webhooks
/
{id}
Get one webhook
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/webhooks/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"webhook": {
"id": "<string>",
"base_slug": "orders",
"version": "<string>",
"name": "<string>",
"enabled": 0,
"criteria": "<string>",
"dataset": "<string>",
"mappings": "<string>",
"slug": "aBcXyz0123456789abcdefgh",
"require_signature": 0,
"ip_allowlist": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"webhook_slug": "aBcXyz0123456789abcdefgh",
"public_path": "acme-3f9a/orders/aBcXyz0123456789abcdefgh",
"public_url": "https://app.hookie.ai/acme-3f9a/orders/aBcXyz0123456789abcdefgh",
"previous_public_url": "<string>",
"previous_url_expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>"
}Authorizations
sessionbearerAuthapiKey
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Webhook id.
Response
The object.
Show child attributes
Show child attributes